<!DOCTYPE html>
<html lang="hr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Memory Igra</title>
    <style>
        body {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
            background-color: #f0f0f0;
        }

        .game-container {
            display: flex;
            flex-wrap: wrap;
            gap: 20px;
        }

        .memory-card {
            width: 100px;
            height: 150px;
            perspective: 1000px;
        }

        .memory-card:hover .card-front {
            transform: rotateY(180deg);
        }

        .memory-card:hover .card-back {
            transform: rotateY(0deg);
        }

        .card-front,
        .card-back {
            width: 100%;
            height: 100%;
            position: absolute;
            border-radius: 10px;
            backface-visibility: hidden;
            transition: transform 0.3s;
        }

        .card-front {
            background-color: #4CAF50;
            display: flex;
            justify-content: center;
            align-items: center;
            transform: rotateY(0deg);
        }

        .card-back {
            background-color: white;
            transform: rotateY(-180deg);
            background-size: cover;
        }
    </style>
</head>

<body>
    <div class="game-container">
        <div class="memory-card">
            <div class="card-front"></div>
            <div class="card-back" style="background-image: url('putanja-do-slike1.jpg');"></div>
        </div>
        <div class="memory-card">
            <div class="card-front"></div>
            <div class="card-back" style="background-image: url('putanja-do-slike2.jpg');"></div>
        </div>
        <!-- Dodajte više kartica kako je potrebno -->
    </div>
</body>

</html>